OpenVDB 11.0.0

Loading...
Searching...
No Matches
Namespaces | Functions
PointCount.h File Reference

Methods for counting points in VDB Point grids. More...

`#include <openvdb/openvdb.h>`
`#include "PointDataGrid.h"`
`#include "PointMask.h"`
`#include "IndexFilter.h"`
`#include <tbb/parallel_reduce.h>`
`#include <vector>`
`#include "impl/PointCountImpl.h"`

Go to the source code of this file.

## Namespaces
namespace | openvdb
namespace | openvdb::v11_0
namespace | openvdb::v11_0::points

## Functions
template<typename PointDataTreeT , typename FilterT = NullFilter>
Index64 | pointCount (const PointDataTreeT &tree, const FilterT &filter=NullFilter(), const bool inCoreOnly=false, const bool threaded=true)
| Count the total number of points in a PointDataTree.
template<typename PointDataTreeT , typename FilterT = NullFilter>
Index64 | pointOffsets (std::vector< Index64 > &pointOffsets, const PointDataTreeT &tree, const FilterT &filter=NullFilter(), const bool inCoreOnly=false, const bool threaded=true)
| Populate an array of cumulative point offsets per leaf node.
template<typename PointDataGridT , typename GridT = typename PointDataGridT::template ValueConverter<Int32>::Type, typename FilterT = NullFilter>
GridT::Ptr | pointCountGrid (const PointDataGridT &grid, const FilterT &filter=NullFilter())
| Generate a new grid with voxel values to store the number of points per voxel.
template<typename PointDataGridT , typename GridT = typename PointDataGridT::template ValueConverter<Int32>::Type, typename FilterT = NullFilter>
GridT::Ptr | pointCountGrid (const PointDataGridT &grid, const openvdb::math::Transform &transform, const FilterT &filter=NullFilter())
| Generate a new grid that uses the supplied transform with voxel values to store the number of points per voxel.

## Detailed Description

Methods for counting points in VDB Point grids.

Author
  Dan Bailey